RPC_GSS_MAX_DATA_LENGTH(3)

NAME
rpc_gss_max_data_length - calculate maximum data size

LIBRARY
librpcsec_gss

SYNOPSIS
#include <rpc/rpcsec_gss.h>
int
rpc_gss_max_data_length(AUTH *auth, int max_tp_unit_len);

DESCRIPTION
Calculate the maximum message size that will fit into a packet of size max_tp_unit_len, given the current service and QoP setting.

PARAMETERS

auth
    A handle to a RPCSEC_GSS security context

max_tp_unit_len
    Maximum packet size of the underlying transport protocol

RETURN VALUES
The maximum message size that can be encoded

SEE ALSO
gssapi(3), rpc(3), rpcset_gss(3)

HISTORY
The rpc_gss_max_data_length function first appeared in FreeBSD 8.0.

AUTHORS
This manual page was written by Doug Rabson <dfr@FreeBSD.org>.